Skip to content

Delete VPC

DELETE
/api/v1/vpc/{VPC_NETWORK_ID}/
curl --request DELETE \
--url 'https://api.e2enetworks.com/myaccount/api/v1/vpc/{VPC_NETWORK_ID}/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'
VPC_NETWORK_ID
required
integer

VPC Network ID

project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Success

Media typeapplication/json
object
code
integer
data
object
vpc_id
integer
vpc_name
string
project_id
string
errors
object
key
additional properties
string
message
string

Example

{
"code": 200,
"data": {
"vpc_id": 3957,
"vpc_name": "VPC-785",
"project_id": "17925"
},
"errors": {},
"message": "Success"
}